> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/nl/api-documentatie/overzicht-van-geopard-api-verzoeken/88.-mutatie-zonesmap-exporteren-als-gecomprimeerde-shapefile.md).

# 88. Mutatie: ZonesMap exporteren als gecomprimeerde shapefile

Genereer een zip-archief met de geselecteerde "ZonesMap" als shapefile.

{% hint style="info" %}
Het archief bestaat uit \*.shp, \*.shx, \*.prj, \*.dbf bestanden in EPSG:4326.
{% endhint %}

### 1. Voorbereiding

* Het attribuut `vectorAnalysisMaps` bevat een array van ZonesMaps (VectorAnalysisMaps) objecten die geëxporteerd moeten worden. Elk dergelijk object bevat een paar van `fieldUuid` (koppeling naar het geselecteerde perceel) en `uuid` (koppeling naar de geselecteerde ZonesMap).
* Het boolean attribuut `asMultiGeometry` bepaalt of zones geëxporteerd worden als `Polygonen` of `MultiPolygonen` (wanneer ingesteld op `true` ).
* Het boolean attribuut `onlyProductColumns` geeft aan of alleen kolommen met producten (RX) in de shapefile moeten worden opgenomen (wanneer `true`). Anders worden alle statistische attributen en zone-ID's als kolommen opgenomen.
* Het attribuut `archiveName` bevat de naam van het gegenereerde zip-archief.
* Het attribuut `filePostfix` maakt het mogelijk aangepaste postfixen toe te voegen aan de geëxporteerde bestanden en het archief.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    input: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      fieldUuid
      status
    } 
  }
}
```

{% endcode %}

### 2. Download het gegenereerde archief

Na uitvoering van de GraphQL-query kan het worden gedownload met `curl` of een vergelijkbare methode.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/nl/api-documentatie/overzicht-van-geopard-api-verzoeken/88.-mutatie-zonesmap-exporteren-als-gecomprimeerde-shapefile.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
